# 小新记账订阅模板

### 规则编写

APP 对应规则写在 apps 目录下

- 文件名格式为包名点分割末尾字符

### 生成订阅 JSON 文件

```
python main.py
```

生成完毕之后目标 JSON 文件在`dist`目录，文件名格式为`${VERSION}.json`

### 属性说明

#### `global` 全局规则

- `name` 全局规则名称
- `rules` 规则列表
- `apps` 全局规则匹配的应用
  - `id` 应用包名
  - `enable` 是否默认启用

#### `rules` 规则列表

- `key` 规则的唯一 ID
- `selector` 元素选择器
- `action` 操作类型，支持`setText`、`click`、`longClick`、`back`
- `actionDelay` 操作完成后的延迟，单位 ms
- `args` 当`action`为`setText`时填充的字符串
- `preAction` 当前操作的前置操作的`key`
- `activityId` 指定的 Activity
- `classId` 指定的 className

#### `apps` 应用规则

- `packageName` 应用包名
- `name` 应用名
- `version` 应用版本
- `rules` 规则列表
